%define anolis_release 2

Summary: X.Org X11 libXext runtime library
Name: libXext
Version: 1.3.5
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

Requires: libX11 >= 1.6

BuildRequires: make
BuildRequires: autoconf automake libtool
BuildRequires: xorg-x11-util-macros > 1.12
BuildRequires: pkgconfig(x11) >= 1.6
BuildRequires: pkgconfig(xextproto) >= 7.1.99
BuildRequires: pkgconfig(xproto) >= 7.0.13
BuildRequires: xmlto

%description
X.Org X11 libXext runtime library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 libXext development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXext development package

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -v --install --force
%configure --disable-static
%make_build

%install
%make_install

# do this with %%doc below
rm -rf $RPM_BUILD_ROOT%{_docdir}

%files
%doc COPYING
%{_libdir}/libXext.so.6
%{_libdir}/libXext.so.6.*

%files doc
%doc AUTHORS 

%files devel
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXext.so
%{_libdir}/pkgconfig/xext.pc
%{_mandir}/man3/*.3*

%changelog
* Sat May 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.5-2
- rebuild with libX11 update

* Sat Nov 12 2022 Funda Wang <fundawang@yeah.net> - 1.3.5-1
- New version 1.3.5

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.4-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.4-1
- Init from upstream version 1.3.4

